%global forgeurl https://github.com/jbruchon/jdupes

Version:        1.20.2

%forgemeta

Name:           jdupes
Release:        2%{?dist}
Summary:        Duplicate file finder and an enhanced fork of 'fdupes'

License:        MIT
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  gcc
BuildRequires:  make

%description
jdupes is a program for identifying and taking actions upon duplicate
files.

A WORD OF WARNING: jdupes IS NOT a drop-in compatible replacement for
fdupes! Do not blindly replace fdupes with jdupes in scripts and
expect everything to work the same way. Option availability and
meanings differ between the two programs. For example, the -I switch
in jdupes means "isolate" and blocks intra-argument matching, while in
fdupes it means "immediately delete files during scanning without
prompting the user."


%prep
%forgesetup


%build
%make_build ENABLE_DEDUPE=1 HARDEN=1 CFLAGS="%{optflags}" PREFIX="%{_prefix}" MAN_BASE_DIR="%{_mandir}"


%install
%make_install PREFIX="%{_prefix}" MAN_BASE_DIR="%{_mandir}"


%files
%license LICENSE
%doc CHANGES INSTALL README.md README.stupid_dupes
%{_bindir}/jdupes
%{_mandir}/man1/jdupes.1.gz


%changelog
* Tue Jan 04 2022 David Cantrell <dcantrell@redhat.com> - 1.20.2-2
- Forgot to update the sources file in dist-git

* Tue Jan 04 2022 David Cantrell <dcantrell@redhat.com> - 1.20.2-1
- Drop Makefile patch, pass ENABLE_DEDPUE=1 HARDEN=1 to build
- Upgrade to jdupes-1.20.2

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.20.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jul 07 2021 David Cantrell <dcantrell@redhat.com> - 1.20.0-1
- Initial package
